Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class SelectManyHelper

    java.lang.Object
      org.richfaces.renderkit.SelectManyHelper

    public class SelectManyHelper

extends java.lang.Object

Author:
  Brian Leathem

Field Summary
`static java.lang.String` | `BUTTON_CSS`
`static java.lang.String` | `BUTTON_CSS_DIS`
`static java.util.Comparator<ClientSelectItem>` | `clientSelectItemComparator`
`static java.lang.String` | `ITEM_CSS`
`static java.lang.String` | `ITEM_CSS_DIS`
`static com.google.common.base.Predicate<ClientSelectItem>` | `SELECTED_PREDICATE`
`static com.google.common.base.Predicate<ClientSelectItem>` | `UNSELECTED_PREDICATE`

Constructor Summary
`SelectManyHelper()`

Method Summary
`static void` | `encodeHeader(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, SelectManyRendererBase renderer, java.lang.String rowClass, java.lang.String cellClass)`
`static void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.util.Iterator<ClientSelectItem> clientSelectItems, java.lang.String cssPrefix)`
`static void` | `encodeOneRow(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, SelectManyRendererBase renderer, ClientSelectItem clientSelectItem, java.lang.String cssPrefix)`
`static void` | `encodeRows(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, SelectManyRendererBase renderer, java.util.Iterator<ClientSelectItem> clientSelectItems, java.lang.String cssPrefix)`
`static java.util.List<ClientSelectItem>` | `getClientSelectItems(javax.faces.context.FacesContext facesContext, AbstractSelectManyComponent select, java.util.Iterator<javax.faces.model.SelectItem> selectItems)`
`static java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object val)`
`static javax.faces.convert.Converter` | `getItemConverter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static javax.faces.component.UISelectItems` | `getPseudoSelectItems(SelectItemsInterface selectItemsInterface)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_CSS

    public static final java.lang.String ITEM_CSS

See Also:
  Constant Field Values

### ITEM_CSS_DIS

    public static final java.lang.String ITEM_CSS_DIS

See Also:
  Constant Field Values

### BUTTON_CSS

    public static final java.lang.String BUTTON_CSS

See Also:
  Constant Field Values

### BUTTON_CSS_DIS

    public static final java.lang.String BUTTON_CSS_DIS

See Also:
  Constant Field Values

### clientSelectItemComparator

    public static java.util.Comparator<ClientSelectItem> clientSelectItemComparator

### SELECTED_PREDICATE

    public static com.google.common.base.Predicate<ClientSelectItem> SELECTED_PREDICATE

### UNSELECTED_PREDICATE

    public static com.google.common.base.Predicate<ClientSelectItem> UNSELECTED_PREDICATE

Constructor Detail

### SelectManyHelper

    public SelectManyHelper()

Method Detail

### encodeHeader

    public static void encodeHeader(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component,
                                    SelectManyRendererBase renderer,
                                    java.lang.String rowClass,
                                    java.lang.String cellClass)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeRows

    public static void encodeRows(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component,
                                  SelectManyRendererBase renderer,
                                  java.util.Iterator<ClientSelectItem> clientSelectItems,
                                  java.lang.String cssPrefix)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeOneRow

    public static void encodeOneRow(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component,
                                    SelectManyRendererBase renderer,
                                    ClientSelectItem clientSelectItem,
                                    java.lang.String cssPrefix)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeItems

    public static void encodeItems(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component,
                                   java.util.Iterator<ClientSelectItem> clientSelectItems,
                                   java.lang.String cssPrefix)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getClientSelectItems

    public static java.util.List<ClientSelectItem> getClientSelectItems(javax.faces.context.FacesContext facesContext,
                                                                        AbstractSelectManyComponent select,
                                                                        java.util.Iterator<javax.faces.model.SelectItem> selectItems)

### getConvertedValue

    public static java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                                     javax.faces.component.UIComponent component,
                                                     java.lang.Object val)
                                              throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getItemConverter

    public static javax.faces.convert.Converter getItemConverter(javax.faces.context.FacesContext facesContext,
                                                                 javax.faces.component.UIComponent component)

### getPseudoSelectItems

    public static javax.faces.component.UISelectItems getPseudoSelectItems(SelectItemsInterface selectItemsInterface)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.